Page MenuHomePhabricator

Migrate PageGateway.test.js to tests/node-qunit/mobile.startup
Closed, ResolvedPublic2 Story Points

Description

PageGateway.test.jshas already been migrated to webpack's control, but its associated tests proved to be challenging to migrate due to tight coupling with dependencies ( e.g. jQuery) and a lot of stubbing in its place. It was thus decided to leave its test file as is and migrate it in a future card (this one).

What with T204786 this should hopefully be trivial.

Acceptance criteria

  • PageGateway.test.jsis migrated to tests/node-qunit/mobile.startup and can be run from headless qunit
  • Move large test MW API responses to their own files as wanted to avoid cluttering the tests

Note: Adding additional test coverage is out of scope and will be added separately.

Sign off steps

Event Timeline

Jdlrobson created this task.Oct 4 2018, 2:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2018, 2:50 PM
Jdlrobson triaged this task as High priority.Oct 4 2018, 11:02 PM

Change 466606 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/MobileFrontend@master] Porting PageGateway tests to node-qunit

https://gerrit.wikimedia.org/r/466606

Change 468494 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Use ES6 template strings for test HTML templates

https://gerrit.wikimedia.org/r/468494

Change 468624 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove jQuery usage inside PageGateway tests

https://gerrit.wikimedia.org/r/468624

Change 466606 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Porting PageGateway tests to node-qunit

https://gerrit.wikimedia.org/r/466606

Jdlrobson reassigned this task from Jdrewniak to nray.Oct 23 2018, 5:20 PM
Jdlrobson added a subscriber: Jdrewniak.
pmiazga removed nray as the assignee of this task.Oct 24 2018, 1:00 AM
pmiazga removed a project: Patch-For-Review.
pmiazga added a subscriber: nray.

Change 468494 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Use ES6 template strings for test HTML templates

https://gerrit.wikimedia.org/r/468494

Change 468624 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Remove jQuery usage inside PageGateway tests

https://gerrit.wikimedia.org/r/468624

Change 469456 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Remove left over files from PageGateway migration

https://gerrit.wikimedia.org/r/469456

Change 469456 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove leftover files from PageGateway migration

https://gerrit.wikimedia.org/r/469456

Jdlrobson closed this task as Resolved.Oct 24 2018, 10:59 PM
Jdlrobson updated the task description. (Show Details)